SUBROUTINE eigensys(n,a,val,vec)

! Finds the eigenvectors and eigenvalues of the real symmetric matrix.
! This is the interface to the external function only.

USE jm_constants

IMPLICIT none

INTEGER,       INTENT(IN)  :: n
REAL(KIND=dp), INTENT(IN)  :: a(n,n)
REAL(KIND=dp), INTENT(OUT) :: val(n), vec(n,n)
INTEGER                    :: nerr
REAL(KIND=dp)              :: fwork(8*n)
INTEGER                    :: iwork(n)


CALL rs(n, a, val, vec, nerr)

! Try another method if rs returned error
IF (nerr /= 0) CALL rsm(n, n, a, val, n, vec, fwork, iwork, nerr)

IF (nerr /= 0) CALL show_warning('eigensys', 'an unknown error occured')

RETURN
END SUBROUTINE eigensys

!***********************************************************************